Package org.apache.sling.distribution.journal.bookkeeper

# Class BookKeeperConfig

java.lang.Object
org.apache.sling.distribution.journal.bookkeeper.BookKeeperConfig

public class BookKeeperConfig extends Object

## Constructor Summary

Constructors
Constructor
Description
`BookKeeperConfig(String subAgentName, String subSlingId, boolean editable, int maxRetries, PackageHandling packageHandling, String packageNodeName, boolean extractorOverwriteFolderPrimaryTypes)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getMaxRetries()`
`PackageHandling`
`getPackageHandling()`
`String`
`getPackageNodeName()`
`String`
`getSubAgentName()`
`String`
`getSubSlingId()`
`boolean`
`isEditable()`
`boolean`
`shouldExtractorOverwriteFolderPrimaryTypes()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### BookKeeperConfig

public BookKeeperConfig(String subAgentName, String subSlingId, boolean editable, int maxRetries, PackageHandling packageHandling, String packageNodeName, boolean extractorOverwriteFolderPrimaryTypes)

## Method Details

### getSubAgentName

public String getSubAgentName()

### getSubSlingId

public String getSubSlingId()

### isEditable

public boolean isEditable()

### getMaxRetries

public int getMaxRetries()

### getPackageHandling

public PackageHandling getPackageHandling()

### getPackageNodeName

public String getPackageNodeName()

### shouldExtractorOverwriteFolderPrimaryTypes

public boolean shouldExtractorOverwriteFolderPrimaryTypes()

### toString

public String toString()

Overrides:
  `toString` in class `Object`